# -*- coding: utf-8 -*-

from django.contrib import admin
from django.utils.translation import ugettext_lazy as _

from jmb.core.admin.options import OrderedModelAdmin, ExtendibleModelAdmin
from jmb.invitation.models import FriendInvitation

class FriendInvitationAdmin(ExtendibleModelAdmin):
    list_display = (
        'get_status_icon', 'date_create', 'host', 'host_email', 'friend_name',
        'friend_email', 'link', 'visited', 'get_edit_icon', 'get_delete_icon'
    )
    fieldsets = (
        (_('logs admin'), {
            'fields': ('creator', 'date_create', 'last_modifier', 'date_last_modify',),
            'classes': ('collapse',)
        }),
        (_('Status'), {
            'fields': ('status',),
            }
        ),
        (None, {
            'fields': (
                'host', 'host_email', 'friend_name',
                'friend_email', 'link',
            )
        }),
    )

admin.site.register(FriendInvitation, FriendInvitationAdmin)
