# -*- coding: utf-8 -*-
from django.db import models
from django.conf import settings
from django.utils.translation import ugettext_lazy as _

from cms.models.pluginmodel import CMSPlugin

class FriendInvitationSettings(CMSPlugin):
    active = models.BooleanField(
        _("Active"),
        default=True,
    )
    thanks = models.CharField(
        _('Messaggio di ringraziamento'),
        max_length=200
    )
    form_template_name = models.CharField(
        max_length=100, choices=settings.INVITATION_FORM_TEMPLATES,
        default="invitation/cms_plugins/invitation_form.html"
    )
    thanks_template_name = models.CharField(
        max_length=100, choices=settings.INVITATION_THANKS_TEMPLATES,
        default="invitation/cms_plugins/invitation_thanks.html"
    )
    email_template_name = models.CharField(
        max_length=100, choices=settings.INVITATION_EMAIL_TEMPLATES,
        default="invitation/cms_plugins/invitation_email.html"
    )

    def __unicode__(self):
        name = "%s - %s" % (self.id, self.get_form_template_name_display())
        if self.active:
            return "ON - %s" % name
        else:
            return "OFF - %s" % name