# -*- coding: utf-8 -*-
from django.utils.http import base36_to_int
from django.http import Http404, HttpResponseRedirect

from jmb.invitation.models import FriendInvitation

def friend_tracking(request, uidb36, token):
    try:
        invitation_id = base36_to_int(uidb36)
        invitation = FriendInvitation.objects.get(id=invitation_id)
        if invitation.check_token(token):
            invitation.visited = True
            invitation.save()
            return HttpResponseRedirect(invitation.link)
    except:
        raise Http404

